/*! 
    \projectile.h
    \brief a projectile, that is been shooted by a weapon
*/

#ifndef _PROJECTILE_H
#define _PROJECTILE_H

#include "world_entity.h"

class Primitive;

class Projectile : public WorldEntity 
{
  friend class World;

 public:
  Projectile ();
  virtual ~Projectile ();

  virtual void hit (WorldEntity* weapon, Vector* loc);
  virtual void destroy ();

  virtual void tick (float time);
  virtual void draw ();

 private:
  //physical attriutes like: force, speed, acceleration etc.
  Primitive* projectileModel;

};

#endif /* _PROJECTILE_H */
